#include<bits/stdc++.h>
using namespace std;
ifstream fi("TAMGIAC.inp");
ofstream fo("TAMGIAC.out");
void ans(int x, int y,int z){
if(x+y>z && y+z>x && z+x>y){
    fo<<"YES"<<endl;
    double p=(x+y+z)/2,ans;
    ans=sqrt(p*(p-x)*(p-y)*(p-z));
    fo<<fixed<<setprecision(2)<<ans;
}
else fo<<"NO";
}
int main(){
 int a,b,c;
 fi>>a>>b>>c;
 ans(a,b,c);
}
